Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.internal.util.swt.rap
Class RAPImageRegistryService

    java.lang.Object
      org.eclipse.emf.ecp.view.internal.util.swt.rap.RAPImageRegistryService

All Implemented Interfaces:
  Serializable, org.eclipse.rap.rwt.service.UISessionListener, org.eclipse.swt.internal.SerializableCompatibility, org.osgi.framework.ServiceFactory<ImageRegistryService>

    public class RAPImageRegistryService

extends Object
implements org.osgi.framework.ServiceFactory<ImageRegistryService>, org.eclipse.rap.rwt.service.UISessionListener

The RAP instance of the ImageRegistryService.

Author:
  Eugen Neufeld
See Also:
  Serialized Form

Constructor Summary
`RAPImageRegistryService()`

Method Summary
`void` | `beforeDestroy(org.eclipse.rap.rwt.service.UISessionEvent event)`
`ImageRegistryService` | `getService(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<ImageRegistryService> registration)`
`void` | `ungetService(org.osgi.framework.Bundle bundle, org.osgi.framework.ServiceRegistration<ImageRegistryService> registration, ImageRegistryService service)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RAPImageRegistryService

    public RAPImageRegistryService()

Method Detail

### getService

    public ImageRegistryService getService(org.osgi.framework.Bundle bundle,
                                           org.osgi.framework.ServiceRegistration<ImageRegistryService> registration)

  Specified by:
    `getService` in interface `org.osgi.framework.ServiceFactory<ImageRegistryService>`

### ungetService

    public void ungetService(org.osgi.framework.Bundle bundle,
                             org.osgi.framework.ServiceRegistration<ImageRegistryService> registration,
                             ImageRegistryService service)

  Specified by:
    `ungetService` in interface `org.osgi.framework.ServiceFactory<ImageRegistryService>`

### beforeDestroy

    public void beforeDestroy(org.eclipse.rap.rwt.service.UISessionEvent event)

  Specified by:
    `beforeDestroy` in interface `org.eclipse.rap.rwt.service.UISessionListener`
  See Also:
    `UISessionListener.beforeDestroy(org.eclipse.rap.rwt.service.UISessionEvent)`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.